Bug 189040 - Review Request: perl-Object-Accessor
Review Request: perl-Object-Accessor
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT 189048
  Show dependency treegraph
 
Reported: 2006-04-14 19:45 EDT by Steven Pritchard
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-04-21 18:01:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Steven Pritchard 2006-04-14 19:45:39 EDT
Spec URL: http://ftp.kspei.com/pub/steve/rpms/perl-Object-Accessor/perl-Object-Accessor.spec
SRPM URL: http://ftp.kspei.com/pub/steve/rpms/perl-Object-Accessor-0.12-1.src.rpm
Description:
Object::Accessor provides an interface to create per object accessors (as
opposed to per Class accessors, as, for example, Class::Accessor provides).
Comment 1 Jason Tibbitts 2006-04-14 23:50:57 EDT
Issues:
Requires: perl(Params::Check) >= 0.23 is redundant; RPM finds the requirement on
its own, leading to a duplicate in the requires list.  I believe we all decided
that this was a blocker.

Review:
* package meets naming and packaging guidelines.
* specfile is properly named, is cleanly written, uses macros consistently and
conforms to the Perl template.
* license field matches the actual license.
* license is open source-compatible.  It's not included separately in the
package, but this is not necessary as the upstream tarball does not include it.
* source files match upstream:
   722421fcbe2a18facd056ea6edb1be4f  Object-Accessor-0.12.tar.gz
   722421fcbe2a18facd056ea6edb1be4f  Object-Accessor-0.12.tar.gz-srpm
* BuildRequires are proper.
* package builds in mock.
* rpmlint is silent.
X final provides and requires are sane.
* no shared libraries are present.
* package is not relocatable.
* owns the directory it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* %clean is present.
* %check is present and all tests pass.
* code, not content.
* documentation is small, so no -docs subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.
* no headers.
* no pkgconfig files.
* no libtool .la droppings.
* not a GUI app.
Comment 2 Steven Pritchard 2006-04-15 18:59:52 EDT
RPM doesn't pick up the versioned dep.  While I'd prefer to keep the explicit
versioned dep, here it is without:

http://ftp.kspei.com/pub/steve/rpms/perl-Object-Accessor-0.12-2.src.rpm
Comment 3 Jason Tibbitts 2006-04-16 01:01:36 EDT
For some reason I recall that it was decided that we shouldn't allow the
duplicate requires, but now I can't find a reference.  I seem to remember that
you were in on the discussion, but if you don't remember then my mind must be
playing tricks on me.  I personally don't have any problem with it since RPM
won't determine versioned perl dependencies on its own, so I'll go ahead and
approve this.  I do think it's worth clarifying.

APPROVED.  Just check in the version you prefer.
Comment 4 Steven Pritchard 2006-04-21 18:01:12 EDT
Imported (-2), branches created, and builds requested.

Thanks.

Note You need to log in before you can comment on or make changes to this bug.